INTERFACE
SUBROUTINE PPOBSAP(KDLEN,KDBDY,KLEN,KDCOUNT,KPNLV,CDPAR,&
 & KCOUNT,PRESO,PTF5,PQF5,PCLWF5,PCIWF5,PUF5,PVF5,PTS5,PRESH5,PALTI,POROG,&
 & KDPP,PXPP) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
USE YOMDB
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KDCOUNT
INTEGER(KIND=JPIM),INTENT(IN) :: KDBDY
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KPNLV(KDLEN,KDBDY)
CHARACTER(LEN=3) ,INTENT(IN) :: CDPAR
INTEGER(KIND=JPIM),INTENT(IN) :: KCOUNT(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRESO(KDLEN,KDCOUNT)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLWF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCIWF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS5(KDLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRESH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALTI(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(KDLEN)
INTEGER(KIND=JPIM),INTENT(IN) :: KDPP
REAL(KIND=JPRB) ,INTENT(OUT) :: PXPP(KDLEN,KDCOUNT,KDPP)
END SUBROUTINE PPOBSAP
END INTERFACE
